commit 4f9e594d882fdb2e822c06fb62c9e343052b4a95
Author: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Tue Nov 6 09:08:23 2018 +0000

    Remove btxld from symlinked host tools
    
    It is only present on amd64/i386 systems which breaks buildworld on
    other hosts. In fact there is no need to add it to the bootstrap tools
    list since it is already included in the cross-tools phase.
    However, for cross-tools it was only built if the host and target
    architecture didn't match. After this change it is also built when we
    are builtin with a strict $PATH.
    
    Reported By:    mmel

diff --git a/Makefile.inc1 b/Makefile.inc1
index f21f305db20..bc0c094c9c4 100644
--- a/Makefile.inc1
+++ b/Makefile.inc1
@@ -2204,7 +2204,6 @@ _basic_bootstrap_tools+=usr.bin/unifdef
 .endif
 
 .if ${MK_BOOT} != "no"
-_basic_bootstrap_tools+=usr.sbin/btxld
 _basic_bootstrap_tools+=bin/dd
 # xz/unxz is used by EFI
 _basic_bootstrap_tools_multilink+=usr.bin/xz xz,unxz
@@ -2375,7 +2374,7 @@ kernel-tools: .PHONY
 # we get done with the earlier stages. It is the last set of tools needed
 # to begin building the target binaries.
 #
-.if ${TARGET_ARCH} != ${MACHINE_ARCH}
+.if ${TARGET_ARCH} != ${MACHINE_ARCH} || ${BUILD_WITH_STRICT_TMPPATH} != 0
 .if ${TARGET_ARCH} == "amd64" || ${TARGET_ARCH} == "i386"
 _btxld=		usr.sbin/btxld
 .endif
